Skip to main content
Qwen-MT-Image

Create image translation task

Submit a qwen-mt-image async image translation task

POST
/services/aigc/image2image/image-synthesis
cURL
curl --location 'https://dashscope-intl.aliyuncs.com/api/v1/services/aigc/image2image/image-synthesis' \
--header 'X-DashScope-Async: enable' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
    "model": "qwen-mt-image",
    "input": {
        "image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250916/ordhsk/1.webp",
        "source_lang": "zh",
        "target_lang": "en",
        "ext": {
            "config": {
                "imageSegment": false
            }
        }
    }
}'
{
  "request_id": "<string>",
  "output": {
    "task_id": "<string>",
    "task_status": "PENDING"
  }
}

Authorizations

string
header
required

Qwen Cloud API Key. See Get API Key.

Header Parameters

enum<string>
required

Async processing flag. Must be set to enable for async calls.

qwen-mt-image-2.0 supports synchronous calls — omit this header for sync mode. qwen-mt-image only supports async.

enable

Body

application/json
enum<string>
required

Model name: qwen-mt-image-2.0 or qwen-mt-image.

qwen-mt-image
object
required

Input parameters.

Response

200-application/json
string

Unique request identifier for tracing and troubleshooting.

object

Task output.